> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/traffic/bandwidth-cluster/migratebandwidthclusterresources.md).

# MigrateBandwidthClusterResources

## 1. 接口描述

本接口(MigrateBandwidthClusterResources)用于共享带宽包之间的资源迁移。

{% hint style="info" %}
**注意事项**

* 如果资源已经在目标带宽包中，则会忽略该资源。
* 如果存在资源不支持加入到目标带宽包，则整个迁移将会失败。不会有任何资源迁移到目标带宽包。
* 请注意变更前流量将计入原带宽组，变更后流量计入新带宽组。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                     | 必选 | 类型              | 描述                                                                                                   |
| ------------------------ | -- | --------------- | ---------------------------------------------------------------------------------------------------- |
| targetBandwidthClusterId | 是  | String          | 要迁移的目标共享带宽包的ID。                                                                                      |
| resourceIdList           | 是  | Array of String | <p>要迁移的资源的ID列表。</p><p>该资源必须属于其他共享带宽包且资源所处的原共享带宽包的<code>IP网络类型</code>以及<code>区域</code>需要和目标带宽包一致。</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 将多个资源前一到同指定带宽包。**

```json
POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: MigrateBandwidthClusterResources
<Common Request Params>

Request：
{
    "resourceIdList": ["<id1>","<id2>"],
    "targetBandwidthClusterId": "<targetBandwidthClusterId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                    | 说明         |
| ------- | -------------------------------------- | ---------- |
| 404     | INVALID\_CLUSTER\_NOT\_FOUND           | 指定的带宽组不存在。 |
| 404     | INVALID\_CLUSTER\_RESOURCE\_NOT\_FOUND | 非带宽包资源。    |
| 409     | INVALID\_CLUSTER\_MISMATCH\_RESOURCE   | 资源与带宽组不匹配。 |
